CMSIS-NN: arm_nnexamples_cifar10.cpp File Reference

| CMSIS-NN Version 1.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Macros Groups Pages
Functions | Variables
arm_nnexamples_cifar10.cpp File Reference

## Functions
int | main ()

## Variables
static q7_t | conv1_wt [CONV1_IM_CH *CONV1_KER_DIM *CONV1_KER_DIM *CONV1_OUT_CH]
static q7_t | conv1_bias [CONV1_OUT_CH]
static q7_t | conv2_wt [CONV2_IM_CH *CONV2_KER_DIM *CONV2_KER_DIM *CONV2_OUT_CH]
static q7_t | conv2_bias [CONV2_OUT_CH]
static q7_t | conv3_wt [CONV3_IM_CH *CONV3_KER_DIM *CONV3_KER_DIM *CONV3_OUT_CH]
static q7_t | conv3_bias [CONV3_OUT_CH]
static q7_t | ip1_wt [IP1_DIM *IP1_OUT]
static q7_t | ip1_bias [IP1_OUT]
uint8_t | image_data [CONV1_IM_CH *CONV1_IM_DIM *CONV1_IM_DIM]
q7_t | output_data [IP1_OUT]
q7_t | col_buffer [2 *5 *5 *32 *2]
q7_t | scratch_buffer [32 *32 *10 *4]

## Function Documentation

int main | ( |  | ) |

References arm_convolve_HWC_q7_fast(), arm_convolve_HWC_q7_RGB(), arm_fully_connected_q7_opt(), arm_maxpool_q7_HWC(), arm_relu_q7(), arm_softmax_q7(), col_buffer, conv1_bias, CONV1_BIAS_LSHIFT, CONV1_IM_CH, CONV1_IM_DIM, CONV1_KER_DIM, CONV1_OUT_CH, CONV1_OUT_DIM, CONV1_OUT_RSHIFT, CONV1_PADDING, CONV1_STRIDE, conv1_wt, conv2_bias, CONV2_BIAS_LSHIFT, CONV2_IM_CH, CONV2_IM_DIM, CONV2_KER_DIM, CONV2_OUT_CH, CONV2_OUT_DIM, CONV2_OUT_RSHIFT, CONV2_PADDING, CONV2_STRIDE, conv2_wt, conv3_bias, CONV3_BIAS_LSHIFT, CONV3_IM_CH, CONV3_IM_DIM, CONV3_KER_DIM, CONV3_OUT_CH, CONV3_OUT_DIM, CONV3_OUT_RSHIFT, CONV3_PADDING, CONV3_STRIDE, conv3_wt, image_data, INPUT_MEAN_SHIFT, INPUT_RIGHT_SHIFT, ip1_bias, IP1_BIAS_LSHIFT, IP1_DIM, IP1_OUT, IP1_OUT_RSHIFT, ip1_wt, output_data, POOL1_KER_DIM, POOL1_OUT_DIM, POOL1_PADDING, POOL1_STRIDE, POOL2_KER_DIM, POOL2_OUT_DIM, POOL2_PADDING, POOL2_STRIDE, POOL3_KER_DIM, POOL3_OUT_DIM, POOL3_PADDING, POOL3_STRIDE, and scratch_buffer.

## Variable Documentation

q7_t col_buffer[2 *5 *5 *32 *2]

Referenced by main().

q7_t conv1_bias[CONV1_OUT_CH]
| static

Referenced by main().

q7_t conv1_wt[CONV1_IM_CH *CONV1_KER_DIM *CONV1_KER_DIM *CONV1_OUT_CH]
| static

Referenced by main().

q7_t conv2_bias[CONV2_OUT_CH]
| static

Referenced by main().

q7_t conv2_wt[CONV2_IM_CH *CONV2_KER_DIM *CONV2_KER_DIM *CONV2_OUT_CH]
| static

Referenced by main().

q7_t conv3_bias[CONV3_OUT_CH]
| static

Referenced by main().

q7_t conv3_wt[CONV3_IM_CH *CONV3_KER_DIM *CONV3_KER_DIM *CONV3_OUT_CH]
| static

Referenced by main().

uint8_t image_data[CONV1_IM_CH *CONV1_IM_DIM *CONV1_IM_DIM]

Referenced by main().

q7_t ip1_bias[IP1_OUT]
| static

Referenced by main().

q7_t ip1_wt[IP1_DIM *IP1_OUT]
| static

Referenced by main().

q7_t output_data[IP1_OUT]

Referenced by main().

q7_t scratch_buffer[32 *32 *10 *4]

Referenced by main().